namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目操作签名表")]
[Table("TrialSign")]
public class TrialSign : BaseAddAuditEntity
{
    #region 导航属性

    #endregion
    public Guid? TrialId { get; set; }
    public Guid? SubjectVisitId { get; set; }
    public Guid? SignCodeId { get; set; }

    public string SignCode { get; set; } = string.Empty;

    [StringLength(1000)]
    public string SignText { get; set; } = string.Empty;

    public bool IsCompleted { get; set; }

}
